For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Employer of Record
    • Introduction
    • Employment cost calculator
    • Hiring
    • Accept quote
    • Amendments
  • EOR Endpoints
  • EOR Worker Endpoints
      • GETDownload employee agreement PDF
      • GETPreview job offer letter
      • POSTSign a contract
LogoLogo
SupportDeel Home
EOR Worker EndpointsEOR Worker Agreements

Download employee agreement PDF

GET
/eor/workers/contracts/:contract_id/employee-agreement/download
GET
/rest/v2/eor/workers/contracts/:contract_id/employee-agreement/download
$curl -G https://api.letsdeel.com/rest/v2/eor/workers/contracts/37nex2x/employee-agreement/download \
> -H "Authorization: Bearer <token>" \
> -d version=cdf4f572eb13a5eaf46d
1{
2 "data": {
3 "url": "https://api-prod.letsdeel.com/employee-agreement/12345.pdf",
4 "expires_at": "2020-03-31T10:58:49.780Z"
5 }
6}

Returns a time-limited download URL for the employee agreement PDF associated with the given contract_id. When the optional version parameter is supplied and a version mismatch is detected, behaviour diverges from the default resolution path. Token scopes: worker:read

Was this page helpful?
Previous

Preview job offer letter

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the employee contract.

Query parameters

versionstringOptional=20 characters
Optional version of the Employment Agreement to be signed. If informed and in the case of a mismatch, the API will return an error.

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication